{
  "description": "LeaseSpec is a specification of a Lease.",
  "properties": {
    "acquireTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.MicroTime",
      "description": "acquireTime is a time when the current lease was acquired."
    },
    "holderIdentity": {
      "description": "holderIdentity contains the identity of the holder of a current lease.",
      "type": [
        "string",
        "null"
      ]
    },
    "leaseDurationSeconds": {
      "description": "leaseDurationSeconds is a duration that candidates for a lease need to wait to force acquire it. This is measure against time of last observed RenewTime.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "leaseTransitions": {
      "description": "leaseTransitions is the number of transitions of a lease between holders.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "renewTime": {
      "$ref": "/api/_definitions.json#/$defs/io.k8s.apimachinery.pkg.apis.meta.v1.MicroTime",
      "description": "renewTime is a time when the current holder of a lease has last updated the lease."
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "additionalProperties": false,
  "$id": "https://kubernetes.io/api/leasespec/coordination/v1"
}